#371 closed defect (fixed)

Namespace conflict between pppd and ncurses

Reported by: Eric Norum Owned by: Eric Norum
Priority: normal Milestone: 2
Component: network/legacy Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

/opt/rtems/i386-rtems/pc386/lib/librtemsbsp.a(chat.o): In function `expect_strtok':
/home/phoebus/NORUME/src/RTEMS/build/i386-rtems/c/pc386/libnetworking/pppd/../../../../../../rtems-cvs/c/src/libnetworking/pppd/chat.c:446: multiple definition of `use_env'
/opt/rtems/i386-rtems/pc386/lib/libncurses.a(lib_setup.o)(.text+0x0): first defined here
/opt/rtems/lib/gcc-lib/i386-rtems/3.2.1/../../../../i386-rtems/bin/ld: Warning: size of symbol `use_env' changed from 14 to 4 in /opt/rtems/i386-rtems/pc386/lib/librtemsbsp.a(chat.o)
/opt/rtems/lib/gcc-lib/i386-rtems/3.2.1/../../../../i386-rtems/bin/ld: Warning: type of symbol `use_env' changed from 2 to 1 in /opt/rtems/i386-rtems/pc386/lib/librtemsbsp.a(chat.o)

Release:
RTEMS-CVS

Environment:
All

Attachments (2)

pr371.diff (15.6 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:13 PM.
pr371.diff
pr371a.diff (14.9 KB) - added by Eric Norum on Dec 3, 2006 at 1:31:13 PM.
pr371a.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Apr 3, 2003 at 11:13:59 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Apr 10, 2003 at 12:12:27 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I think the attached patch will address this round of

problems. The symbols in rtemspppd.h need to be
addressed though. I am not sure if prepending pppd_
or rtems_ppppd_ is sufficient or if a pass needs to be
made to put the global variables in a structure and
turn all global variables into pointers to that structure
and use a pointer managed as a per task variable. Use
macros for the existing variable names to hide the magic.
This might be necessary if the code can be instantiated
multiple times but prepending some string on the front
solves symbol conflict.

Changed on Dec 3, 2006 at 1:31:13 PM by Eric Norum

Attachment: pr371a.diff added

pr371a.diff

comment:3 Changed on Oct 10, 2017 at 6:44:19 AM by Sebastian Huber

Component: pppdnetwork/legacy
Note: See TracTickets for help on using tickets.